From feadf0ceb0f2dd26920dae646105e5010d7a68ea Mon Sep 17 00:00:00 2001
From: Jiangyi Chen <chenjiangyi@uniontech.com>
Date: Tue, 22 Jun 2021 11:52:13 +0800
Subject: [PATCH v2] Distinguish the two functions of family_matches and
 face_matches.

The family_matches function mainly matches family->family_name, while the face_matchs function should mainly compare face->full_name.
if face_matchs returns true immediately when family_name is equal, so calling face_matchs in the font_EnumFonts function is redundant.

Signed-off-by: Jiangyi Chen <chenjiangyi@uniontech.com>
---
 dlls/gdi32/font.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/dlls/gdi32/font.c b/dlls/gdi32/font.c
index c990fe5e233..f4bd44330eb 100644
--- a/dlls/gdi32/font.c
+++ b/dlls/gdi32/font.c
@@ -2780,7 +2780,6 @@ static BOOL family_matches( struct gdi_font_family *family, const WCHAR *face_na
 
 static BOOL face_matches( const WCHAR *family_name, struct gdi_font_face *face, const WCHAR *face_name )
 {
-    if (!facename_compare( face_name, family_name, LF_FACESIZE - 1)) return TRUE;
     return !facename_compare( face_name, face->full_name, LF_FACESIZE - 1 );
 }
 
-- 
2.20.1

